Bug 67579 - Experiment with removing ability to call a collection (except document.all)
: Experiment with removing ability to call a collection (except document.all)
Status: RESOLVED FIXED
: WebKit
WebCore JavaScript
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2011-09-04 14:27 PST by
Modified: 2012-01-30 16:07 PST (History)


Attachments
Patch (6.06 KB, patch)
2011-09-04 14:28 PST, Sam Weinig
no flags Review Patch | Details | Formatted Diff | Diff
Patch (13.49 KB, patch)
2011-09-14 22:19 PST, Sam Weinig
no flags Review Patch | Details | Formatted Diff | Diff
Patch (14.66 KB, patch)
2011-09-15 09:26 PST, Sam Weinig
andersca: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-09-04 14:27:36 PST
public-script-coord would like us to experiment with removing the ability to call collections (with the exception of document.all) and see what breaks.
------- Comment #1 From 2011-09-04 14:28:56 PST -------
Created an attachment (id=106295) [details]
Patch
------- Comment #2 From 2011-09-04 14:34:24 PST -------
(From update of attachment 106295 [details])
Attachment 106295 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/9590451
------- Comment #3 From 2011-09-04 14:43:43 PST -------
There are some tests that would need updating/removal if we do this.
------- Comment #4 From 2011-09-04 15:30:07 PST -------
(From update of attachment 106295 [details])
Attachment 106295 [details] did not pass cr-mac-ews (chromium):
Output: http://queues.webkit.org/results/9593299
------- Comment #5 From 2011-09-04 15:49:15 PST -------
(From update of attachment 106295 [details])
Attachment 106295 [details] did not pass cr-mac-ews (chromium):
Output: http://queues.webkit.org/results/9593303
------- Comment #6 From 2011-09-14 22:19:40 PST -------
Created an attachment (id=107458) [details]
Patch
------- Comment #7 From 2011-09-14 22:21:54 PST -------
Let's try this experiment.  Patch ho!
------- Comment #8 From 2011-09-14 22:58:29 PST -------
(From update of attachment 107458 [details])
Attachment 107458 [details] did not pass cr-mac-ews (chromium):
Output: http://queues.webkit.org/results/9655860
------- Comment #9 From 2011-09-15 05:29:46 PST -------
(From update of attachment 107458 [details])
Attachment 107458 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/9689030
------- Comment #10 From 2011-09-15 09:26:47 PST -------
Created an attachment (id=107504) [details]
Patch
------- Comment #11 From 2011-09-15 11:15:17 PST -------
(From update of attachment 107504 [details])
Please add some more background info to the ChangeLog, looks great otherwise!
------- Comment #12 From 2011-09-15 11:26:46 PST -------
Committed r95203: <http://trac.webkit.org/changeset/95203>
------- Comment #13 From 2011-10-17 22:02:48 PST -------
(In reply to comment #12)
> Committed r95203: <http://trac.webkit.org/changeset/95203>

This broke the iTunes Store. See bug 70303.
------- Comment #14 From 2012-01-30 16:07:51 PST -------
We've received one complaint about this change:
http://code.google.com/p/chromium/issues/detail?id=110985